Subject: Re: bug#43186: Gzip-compressed kernel modules are not universally supported [was Re: ci.guix.gnu.org doesn’t boot]

From: Ludovic Courtès <[email-masked]>
Date: Mon, 07 Sep 2020 11:57:54 +0200

Hi Leo,

Leo Famulari <[email-masked]> skribis:

>> I had been using the Guix kernel configs to build kernels for Debian
>> systems, but this broke when we recently enabled GZIP compression of the
>> kernel modules. Debian only supports XZ compressed modules.

I think I had initially misread that: the config we have in Guix creates
kernels that won’t work for Debian, is that right?

If so, then it’s not-a-bug from our perspective, IMO.

Thanks and sorry for the noise!

Ludo’.